/************************************************************************/
/* Needs the I2C-Lib from P. Fleury  and math.h(!!!)                    */
/************************************************************************/

//_________________________________________________________________________________________________

/************************************************************************/
/* The HDMM01-Module from Pollin contains a MMC2120 magnetometer from	*/
/* Memsic and the Capacitors needen.									*/ 
/*																		*/
/* The sensor has on both axisses 12bit, despite the two 8bit-registers	*/
/* contain in summary 16bit, the restbits have no use and are '0'.		*/
/*																		*/
/* The configuration of the user register is how following:				*/
/*																		*/
/*  Bit	| Name		| Function											*/
/*______|___________|___________________________________________________*/
/*   0	| TM		| With '1' on it, a measurement is initiated		*/
/*   	| Take Mea-	| It is resetted to '0' by the sensor the expresses	*/
/*   	| surement	| completence of measurement.						*/ 
/*______|___________|___________________________________________________*/
/*   1	| SET		| With '1' on it, a set process is initiated:		*/  
/*   	| Set Coil	| The MR passes a large current through the set/	*/  
/*   	|			| reset coil. It'll be automatically erased by the	*/
/*   	|			| SETRESET_DONE signal after finishing.				*/ 
/*______|___________|___________________________________________________*/
/*   2	| RESET		| With '1' on it, a reset process is initiated:		*/  
/*   	| Reset Coil| The MR passes a large current through the set/	*/  
/*   	|			| reset coil the other way round from upper process.*/
/*		|			| It'll be automatically erased by the SETRESET_DONE*/
/*   	|			| signal after finishing.							*/ 
/*______|___________|___________________________________________________*/
/* 3-6	| Reserved	|													*/ 
/*______|___________|___________________________________________________*/ 
/*  7	| WKUP		| Writing '1' to this bit wakes up the MR			*/ 
/*  	| WakeUp	|													*/                                                       
/************************************************************************/

/************************************************************************/
/* internal registers                                                   */
/************************************************************************/
#define Config_reg	0x00;
#define MSB_X_Axis	0x01;
#define LSB_X_Axis	0x02;
#define MSB_Y_Axis	0x03;
#define LSB_Y_Axis	0x04;

/************************************************************************/
/* Address of the Module                                                */
/************************************************************************/
#define hdmm01_address 0b011000; 

/************************************************************************/
/* function prototypes                                                  */
/************************************************************************/
int hdmm01_get_axis (char axis)
int hdmm01_get_inklination (void);
int hdmm01_calc_inklination (int y_axis, int x_axis);